--- channels/chan_sip.c.orig	2010-01-05 23:16:45.657876049 +0100
+++ channels/chan_sip.c	2010-01-06 14:30:00.127936714 +0100
@@ -14032,7 +14032,7 @@
 	
 	uri = get_in_brackets(tmp);
 
-	if (parse_uri(uri, "sip:,sips", &uri, NULL, &a, NULL, NULL, NULL)) {
+	if (parse_uri(uri, "sip:,sips:", &uri, NULL, &a, NULL, NULL, NULL)) {
 		ast_log(LOG_WARNING, "Not a SIP header (%s)?\n", uri);
 		return -1;
 	}
@@ -14049,7 +14049,7 @@
 	ast_copy_string(tmpf, get_header(req, "From"), sizeof(tmpf));
 	if (!ast_strlen_zero(tmpf)) {
 		from = get_in_brackets(tmpf);
-		if (parse_uri(from, "sip:,sips", &from, NULL, &a, NULL, NULL, NULL)) {
+		if (parse_uri(from, "sip:,sips:", &from, NULL, &a, NULL, NULL, NULL)) {
 			ast_log(LOG_WARNING, "Not a SIP header (%s)?\n", from);
 			return -1;
 		}
@@ -14400,7 +14400,7 @@
 	ast_copy_string(tmp, get_header(req, "Also"), sizeof(tmp));
 	c = get_in_brackets(tmp);
 
-	if (parse_uri(c, "sip:,sips", &c, NULL, &a, NULL, NULL, NULL)) {
+	if (parse_uri(c, "sip:,sips:", &c, NULL, &a, NULL, NULL, NULL)) {
 		ast_log(LOG_WARNING, "Huh?  Not a SIP header in Also: transfer (%s)?\n", c);
 		return -1;
 	}
